<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PaymentMethodSearchRow StructType
 * @subpackage Structs
 */
class PaymentMethodSearchRow extends SearchRow
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\PaymentMethodSearchRowBasic
     */
    public $basic;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchRowBasic
     */
    public $userJoin;
    /**
     * Constructor method for PaymentMethodSearchRow
     * @uses PaymentMethodSearchRow::setBasic()
     * @uses PaymentMethodSearchRow::setUserJoin()
     * @param \StructType\PaymentMethodSearchRowBasic $basic
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     */
    public function __construct(\StructType\PaymentMethodSearchRowBasic $basic = null, \StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setUserJoin($userJoin);
    }
    /**
     * Get basic value
     * @return \StructType\PaymentMethodSearchRowBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\PaymentMethodSearchRowBasic $basic
     * @return \StructType\PaymentMethodSearchRow
     */
    public function setBasic(\StructType\PaymentMethodSearchRowBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchRowBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchRowBasic $userJoin
     * @return \StructType\PaymentMethodSearchRow
     */
    public function setUserJoin(\StructType\EmployeeSearchRowBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
}
